from django.shortcuts import render
from django.http import HttpResponse
from django.views import View 
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

from .models import Books, Author


def index(request): 
    return HttpResponse('')

def homepage(request):
    return render(request, 'bookshelf/home.html')

class BookListView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'

class BookDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'

class AuthorListView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'

class AuthorDetailView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'

    def get_context_data(self,**kwargs):
        context = super ().get_context_data  (**kwargs)
        context['books'] = Books.objects.all()
        return context
    